#!/usr/bin/gawk -f

BEGIN{
  a[1] = 0.450;
  a[2] = 0.723;
  a[3] = 1.000;
  a[4] = 1.250;
  a[5] = 1.523;
  a[6] = 2.0;
  m[1] = 0.05;
  m[2] = 0.80;
  m[3] = 0.50;
  m[4] = 0.50;
  m[5] = 0.10;
  j = 1;
}
{
  r2 = $1;
  S2 = $2;
  T2 = $3;
}
(FNR > 1){
  dr = r2-r1;
  dS = S2-S1;
  dT = T2-T1;
  r = 0.5*(r1+r2);
  S = 0.5*(S1+S2);
  T = 0.5*(T1+T2);
  p = dS/dr/(S/r);
  q = dT/dr/(T/r);

  if (r > a[j]) {
    print r, p, q, m[j];
    j++;
  } else {
    print r, p, q, "?";
  }
}
{
  r1 = r2;
  S1 = S2;
  T1 = T2;
}

